# DataExchange
TKXSBase
TransferBRep

# TransferBRep_TransferResultInfo Class Reference

Data structure for storing information on transfer result.
At the moment it dispatches information for the following types:
- result,
- result + warning(s),
- result + fail(s),
- result + warning(s) + fail(s)
- no result,
- no result + warning(s),
- no result + fail(s),
- no result + warning(s) + fail(s),
.

`#include <TransferBRep_TransferResultInfo.hxx>`

## Public Member Functions

Standard_EXPORT | TransferBRep_TransferResultInfo ()
| Creates object with all fields nullified. .
Standard_EXPORT void | Clear ()
| Resets all the fields. .
Standard_Integer & | Result ()
Standard_Integer & | ResultWarning ()
Standard_Integer & | ResultFail ()
Standard_Integer & | ResultWarningFail ()
Standard_Integer & | NoResult ()
Standard_Integer & | NoResultWarning ()
Standard_Integer & | NoResultFail ()
Standard_Integer & | NoResultWarningFail ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myR
Standard_Integer | myRW
Standard_Integer | myRF
Standard_Integer | myRWF
Standard_Integer | myNR
Standard_Integer | myNRW
Standard_Integer | myNRF
Standard_Integer | myNRWF

## Constructor & Destructor Documentation

Standard_EXPORT TransferBRep_TransferResultInfo::TransferBRep_TransferResultInfo | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TransferBRep_TransferResultInfo::Clear | ( |  | ) |

Standard_EXPORT const TransferBRep_TransferResultInfo::Handle | ( | Standard_Type |  | ) | const

Standard_Integer & TransferBRep_TransferResultInfo::NoResult | ( |  | ) | `[inline]`

Standard_Integer & TransferBRep_TransferResultInfo::NoResultFail | ( |  | ) | `[inline]`

Standard_Integer & TransferBRep_TransferResultInfo::NoResultWarning | ( |  | ) | `[inline]`

Standard_Integer & TransferBRep_TransferResultInfo::NoResultWarningFail | ( |  | ) | `[inline]`

Standard_Integer & TransferBRep_TransferResultInfo::Result | ( |  | ) | `[inline]`

Standard_Integer & TransferBRep_TransferResultInfo::ResultFail | ( |  | ) | `[inline]`

Standard_Integer & TransferBRep_TransferResultInfo::ResultWarning | ( |  | ) | `[inline]`

Standard_Integer & TransferBRep_TransferResultInfo::ResultWarningFail | ( |  | ) | `[inline]`

## Field Documentation

Standard_Integer TransferBRep_TransferResultInfo::myNR `[private]`

Standard_Integer TransferBRep_TransferResultInfo::myNRF `[private]`

Standard_Integer TransferBRep_TransferResultInfo::myNRW `[private]`

Standard_Integer TransferBRep_TransferResultInfo::myNRWF `[private]`

Standard_Integer TransferBRep_TransferResultInfo::myR `[private]`

Standard_Integer TransferBRep_TransferResultInfo::myRF `[private]`

Standard_Integer TransferBRep_TransferResultInfo::myRW `[private]`

Standard_Integer TransferBRep_TransferResultInfo::myRWF `[private]`

The documentation for this class was generated from the following files:

- TransferBRep_TransferResultInfo.hxx
- TransferBRep_TransferResultInfo.lxx